Ignore:
Timestamp:
Dec 16, 2013 9:57:22 AM (6 years ago)
Author:
tkr
Message:

Syncing with trunk at r2006

Location:
stable/1.15/Clp
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • stable/1.15/Clp

  • stable/1.15/Clp/configure

    r2000 r2007  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11691169  --with-blas-incdir directory with header files for using package Blas
    11701170  --with-blas-datadir directory with data files for using package Blas
     1171  --with-asl-lib linker flags for using package ASL
     1172  --with-asl-incdir directory with header files for using package ASL
     1173  --with-asl-datadir directory with data files for using package ASL
    11711174  --with-dot              use dot (from graphviz) when creating documentation
    11721175                          with doxygen if available; --without-dot to disable
     
    58995902*-*-irix6*)
    59005903  # Find out which ABI we are using.
    5901   echo '#line 5901 "configure"' > conftest.$ac_ext
     5904  echo '#line 5999 "configure"' > conftest.$ac_ext
    59025905  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59035906  (eval $ac_compile) 2>&5
     
    70337036
    70347037# Provide some information about the compiler.
    7035 echo "$as_me:7035:" \
     7038echo "$as_me:7133:" \
    70367039     "checking for Fortran 77 compiler version" >&5
    70377040ac_compiler=`set X $ac_compile; echo $2`
     
    81008103   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81018104   -e 's:$: $lt_compiler_flag:'`
    8102    (eval echo "\"\$as_me:8102: $lt_compile\"" >&5)
     8105   (eval echo "\"\$as_me:8200: $lt_compile\"" >&5)
    81038106   (eval "$lt_compile" 2>conftest.err)
    81048107   ac_status=$?
    81058108   cat conftest.err >&5
    8106    echo "$as_me:8106: \$? = $ac_status" >&5
     8109   echo "$as_me:8204: \$? = $ac_status" >&5
    81078110   if (exit $ac_status) && test -s "$ac_outfile"; then
    81088111     # The compiler can only warn and ignore the option if not recognized
     
    83688371   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83698372   -e 's:$: $lt_compiler_flag:'`
    8370    (eval echo "\"\$as_me:8370: $lt_compile\"" >&5)
     8373   (eval echo "\"\$as_me:8468: $lt_compile\"" >&5)
    83718374   (eval "$lt_compile" 2>conftest.err)
    83728375   ac_status=$?
    83738376   cat conftest.err >&5
    8374    echo "$as_me:8374: \$? = $ac_status" >&5
     8377   echo "$as_me:8472: \$? = $ac_status" >&5
    83758378   if (exit $ac_status) && test -s "$ac_outfile"; then
    83768379     # The compiler can only warn and ignore the option if not recognized
     
    84728475   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84738476   -e 's:$: $lt_compiler_flag:'`
    8474    (eval echo "\"\$as_me:8474: $lt_compile\"" >&5)
     8477   (eval echo "\"\$as_me:8572: $lt_compile\"" >&5)
    84758478   (eval "$lt_compile" 2>out/conftest.err)
    84768479   ac_status=$?
    84778480   cat out/conftest.err >&5
    8478    echo "$as_me:8478: \$? = $ac_status" >&5
     8481   echo "$as_me:8576: \$? = $ac_status" >&5
    84798482   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84808483   then
     
    1081710820  lt_status=$lt_dlunknown
    1081810821  cat > conftest.$ac_ext <<EOF
    10819 #line 10819 "configure"
     10822#line 10917 "configure"
    1082010823#include "confdefs.h"
    1082110824
     
    1091710920  lt_status=$lt_dlunknown
    1091810921  cat > conftest.$ac_ext <<EOF
    10919 #line 10919 "configure"
     10922#line 11017 "configure"
    1092010923#include "confdefs.h"
    1092110924
     
    1326113264   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1326213265   -e 's:$: $lt_compiler_flag:'`
    13263    (eval echo "\"\$as_me:13263: $lt_compile\"" >&5)
     13266   (eval echo "\"\$as_me:13361: $lt_compile\"" >&5)
    1326413267   (eval "$lt_compile" 2>conftest.err)
    1326513268   ac_status=$?
    1326613269   cat conftest.err >&5
    13267    echo "$as_me:13267: \$? = $ac_status" >&5
     13270   echo "$as_me:13365: \$? = $ac_status" >&5
    1326813271   if (exit $ac_status) && test -s "$ac_outfile"; then
    1326913272     # The compiler can only warn and ignore the option if not recognized
     
    1336513368   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1336613369   -e 's:$: $lt_compiler_flag:'`
    13367    (eval echo "\"\$as_me:13367: $lt_compile\"" >&5)
     13370   (eval echo "\"\$as_me:13465: $lt_compile\"" >&5)
    1336813371   (eval "$lt_compile" 2>out/conftest.err)
    1336913372   ac_status=$?
    1337013373   cat out/conftest.err >&5
    13371    echo "$as_me:13371: \$? = $ac_status" >&5
     13374   echo "$as_me:13469: \$? = $ac_status" >&5
    1337213375   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1337313376   then
     
    1493514938   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1493614939   -e 's:$: $lt_compiler_flag:'`
    14937    (eval echo "\"\$as_me:14937: $lt_compile\"" >&5)
     14940   (eval echo "\"\$as_me:15035: $lt_compile\"" >&5)
    1493814941   (eval "$lt_compile" 2>conftest.err)
    1493914942   ac_status=$?
    1494014943   cat conftest.err >&5
    14941    echo "$as_me:14941: \$? = $ac_status" >&5
     14944   echo "$as_me:15039: \$? = $ac_status" >&5
    1494214945   if (exit $ac_status) && test -s "$ac_outfile"; then
    1494314946     # The compiler can only warn and ignore the option if not recognized
     
    1503915042   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1504015043   -e 's:$: $lt_compiler_flag:'`
    15041    (eval echo "\"\$as_me:15041: $lt_compile\"" >&5)
     15044   (eval echo "\"\$as_me:15139: $lt_compile\"" >&5)
    1504215045   (eval "$lt_compile" 2>out/conftest.err)
    1504315046   ac_status=$?
    1504415047   cat out/conftest.err >&5
    15045    echo "$as_me:15045: \$? = $ac_status" >&5
     15048   echo "$as_me:15143: \$? = $ac_status" >&5
    1504615049   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1504715050   then
     
    1724617249   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1724717250   -e 's:$: $lt_compiler_flag:'`
    17248    (eval echo "\"\$as_me:17248: $lt_compile\"" >&5)
     17251   (eval echo "\"\$as_me:17346: $lt_compile\"" >&5)
    1724917252   (eval "$lt_compile" 2>conftest.err)
    1725017253   ac_status=$?
    1725117254   cat conftest.err >&5
    17252    echo "$as_me:17252: \$? = $ac_status" >&5
     17255   echo "$as_me:17350: \$? = $ac_status" >&5
    1725317256   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725417257     # The compiler can only warn and ignore the option if not recognized
     
    1751417517   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1751517518   -e 's:$: $lt_compiler_flag:'`
    17516    (eval echo "\"\$as_me:17516: $lt_compile\"" >&5)
     17519   (eval echo "\"\$as_me:17614: $lt_compile\"" >&5)
    1751717520   (eval "$lt_compile" 2>conftest.err)
    1751817521   ac_status=$?
    1751917522   cat conftest.err >&5
    17520    echo "$as_me:17520: \$? = $ac_status" >&5
     17523   echo "$as_me:17618: \$? = $ac_status" >&5
    1752117524   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752217525     # The compiler can only warn and ignore the option if not recognized
     
    1761817621   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1761917622   -e 's:$: $lt_compiler_flag:'`
    17620    (eval echo "\"\$as_me:17620: $lt_compile\"" >&5)
     17623   (eval echo "\"\$as_me:17718: $lt_compile\"" >&5)
    1762117624   (eval "$lt_compile" 2>out/conftest.err)
    1762217625   ac_status=$?
    1762317626   cat out/conftest.err >&5
    17624    echo "$as_me:17624: \$? = $ac_status" >&5
     17627   echo "$as_me:17722: \$? = $ac_status" >&5
    1762517628   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1762617629   then
     
    2494024943
    2494124944# Provide some information about the compiler.
    24942 echo "$as_me:24942:" \
     24945echo "$as_me:25020:" \
    2494324946     "checking for Fortran 77 compiler version" >&5
    2494424947ac_compiler=`set X $ac_compile; echo $2`
     
    2546125464ac_save_FFLAGS=$FFLAGS
    2546225465FFLAGS="$FFLAGS $ac_verb"
    25463 (eval echo $as_me:25463: \"$ac_link\") >&5
     25466(eval echo $as_me:25589: \"$ac_link\") >&5
    2546425467ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2546525468echo "$ac_f77_v_output" >&5
     
    2553925542ac_save_FFLAGS=$FFLAGS
    2554025543FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25541 (eval echo $as_me:25541: \"$ac_link\") >&5
     25544(eval echo $as_me:25667: \"$ac_link\") >&5
    2554225545ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2554325546echo "$ac_f77_v_output" >&5
     
    2975229755#                             Other dependencies                            #
    2975329756#############################################################################
     29757# Ampl Solver library
     29758
     29759echo "$as_me:$LINENO: checking for COIN-OR package ASL" >&5
     29760echo $ECHO_N "checking for COIN-OR package ASL... $ECHO_C" >&6
     29761
     29762coin_has_asl=notGiven
     29763
     29764# check if user wants to skip package in any case
     29765if test x"$COIN_SKIP_PROJECTS" != x; then
     29766  for dir in $COIN_SKIP_PROJECTS; do
     29767    if test $dir = "ASL"; then
     29768      coin_has_asl=skipping
     29769    fi
     29770  done
     29771fi
     29772
     29773if test "$coin_has_asl" != skipping; then
     29774
     29775# Check whether --with-m4_tolower(ASL) or --without-m4_tolower(ASL) was given.
     29776if test "${with_asl+set}" = set; then
     29777  withval="$with_asl"
     29778  if test "$withval" = no ; then
     29779       coin_has_asl=skipping
     29780     fi
     29781
     29782fi;
     29783fi
     29784
     29785ASL_LIBS=
     29786ASL_CFLAGS=
     29787ASL_DATA=
     29788ASL_DEPENDENCIES=
     29789ASL_PCLIBS=
     29790ASL_PCREQUIRES=
     29791ASL_DATA=
     29792
     29793
     29794
     29795
     29796
     29797
     29798
     29799
     29800
     29801
     29802
     29803
     29804
     29805
     29806
     29807
     29808
     29809#check if user provided LIBS, CFLAGS, or DATA for package or disables use of package
     29810if test $coin_has_asl != skipping; then
     29811
     29812# Check whether --with-m4_tolower(ASL)-lib or --without-m4_tolower(ASL)-lib was given.
     29813if test "${with_asl_lib+set}" = set; then
     29814  withval="$with_asl_lib"
     29815  if test "$withval" = no ; then
     29816       coin_has_asl=skipping
     29817     else
     29818       coin_has_asl=yes
     29819       ASL_LIBS="$withval"
     29820       ASL_PCLIBS="$withval"
     29821
     29822         CLPLIB_PCLIBS="$withval $CLPLIB_PCLIBS"
     29823         CLPLIB_LIBS="$withval $CLPLIB_LIBS"
     29824
     29825       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     29826       if test -z "$PKG_CONFIG" ; then
     29827         ASL_LIBS_INSTALLED="$withval"
     29828         CLPLIB_LIBS_INSTALLED="$withval $CLPLIB_LIBS_INSTALLED"
     29829       fi
     29830     fi
     29831
     29832fi;
     29833fi
     29834
     29835if test $coin_has_asl != skipping; then
     29836
     29837# Check whether --with-m4_tolower(ASL)-incdir or --without-m4_tolower(ASL)-incdir was given.
     29838if test "${with_asl_incdir+set}" = set; then
     29839  withval="$with_asl_incdir"
     29840  if test "$withval" = no ; then
     29841       coin_has_asl=skipping
     29842     else
     29843       coin_has_asl=yes
     29844       ASL_CFLAGS="-I`${CYGPATH_W} $withval`"
     29845       CLPLIB_CFLAGS="-I`${CYGPATH_W} $withval` $CLPLIB_CFLAGS"
     29846       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     29847       if test -z "$PKG_CONFIG" ; then
     29848         ASL_CFLAGS_INSTALLED="$ASL_CFLAGS"
     29849         CLPLIB_CFLAGS_INSTALLED="$ASL_CFLAGS $CLPLIB_CFLAGS_INSTALLED"
     29850       fi
     29851     fi
     29852
     29853fi;
     29854fi
     29855
     29856if test $coin_has_asl != skipping; then
     29857
     29858# Check whether --with-m4_tolower(ASL)-datadir or --without-m4_tolower(ASL)-datadir was given.
     29859if test "${with_asl_datadir+set}" = set; then
     29860  withval="$with_asl_datadir"
     29861  if test "$withval" = no ; then
     29862       coin_has_asl=skipping
     29863     else
     29864       coin_has_asl=yes
     29865       ASL_DATA="$withval"
     29866       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     29867       if test -z "$PKG_CONFIG" ; then
     29868         ASL_DATA_INSTALLED="$withval"
     29869       fi
     29870     fi
     29871
     29872fi;
     29873fi
     29874
     29875if test $coin_has_asl = notGiven; then
     29876  if test -n "$PKG_CONFIG" ; then
     29877    # set search path for pkg-config
     29878    # need to export variable to be sure that the following pkg-config gets these values
     29879    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     29880    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     29881    export PKG_CONFIG_PATH
     29882
     29883    # let pkg-config do it's magic
     29884
     29885
     29886
     29887if test -n "$PKG_CONFIG" ; then
     29888  if $PKG_CONFIG --exists "coinasl"; then
     29889    ASL_VERSIONS=`$PKG_CONFIG --modversion "coinasl" 2>/dev/null | tr '\n' ' '`
     29890     cflags=`$PKG_CONFIG --cflags "coinasl" 2>/dev/null`
     29891    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     29892        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     29893        # but only do this if is not trivial
     29894    if test "$CYGPATH_W" != "echo" ; then
     29895      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     29896      cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     29897    fi
     29898    ASL_CFLAGS="$cflags"
     29899    ASL_LIBS=`$PKG_CONFIG --libs "coinasl" 2>/dev/null`
     29900    ASL_DATA=`$PKG_CONFIG --variable=datadir "coinasl" 2>/dev/null`
     29901     coin_has_asl=yes
     29902        echo "$as_me:$LINENO: result: yes: $ASL_VERSIONS" >&5
     29903echo "${ECHO_T}yes: $ASL_VERSIONS" >&6
     29904
     29905        # adjust linker flags for (i)cl compiler
     29906        # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
     29907        if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     29908        then
     29909          ASL_LIBS=`echo " $ASL_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     29910        fi
     29911        ASL_PCREQUIRES="coinasl"
     29912
     29913        # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in ClpLib
     29914
     29915          CLPLIB_PCREQUIRES="coinasl $CLPLIB_PCREQUIRES"
     29916          CLPLIB_CFLAGS="$ASL_CFLAGS $CLPLIB_CFLAGS"
     29917          CLPLIB_LIBS="$ASL_LIBS $CLPLIB_LIBS"
     29918
     29919
     29920
     29921  else
     29922    ASL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinasl"`
     29923      coin_has_asl=notGiven
     29924        echo "$as_me:$LINENO: result: not given: $ASL_PKG_ERRORS" >&5
     29925echo "${ECHO_T}not given: $ASL_PKG_ERRORS" >&6
     29926
     29927  fi
     29928else
     29929  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module ASL without pkg-config\"" >&5
     29930echo "$as_me: error: \"Cannot check for existance of module ASL without pkg-config\"" >&2;}
     29931   { (exit 1); exit 1; }; }
     29932fi
     29933
     29934
     29935
     29936
     29937    # reset PKG_CONFIG_PATH variable
     29938    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     29939    export PKG_CONFIG_PATH
     29940
     29941  else
     29942    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     29943echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     29944
     29945echo "$as_me:$LINENO: checking for COIN-OR package ASL (fallback)" >&5
     29946echo $ECHO_N "checking for COIN-OR package ASL (fallback)... $ECHO_C" >&6
     29947
     29948coin_has_asl=notGiven
     29949ASL_LIBS=
     29950ASL_LIBS_INSTALLED=
     29951ASL_CFLAGS=
     29952ASL_CFLAGS_INSTALLED=
     29953ASL_DATA=
     29954ASL_DATA_INSTALLED=
     29955ASL_PCLIBS=
     29956ASL_PCREQUIRES=
     29957
     29958# initial list of dependencies is "coinasl", but we need to filter out version number specifications (= x, <= x, >= x, != x)
     29959projtoprocess="coinasl"
     29960
     29961# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
     29962# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     29963# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
     29964# also, we setup the DATA variable
     29965allproj=""
     29966allpcfiles=""
     29967allpcifiles=""
     29968while test "x$projtoprocess" != x ; do
     29969
     29970  for proj in $projtoprocess ; do
     29971    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     29972    pcfile=""
     29973    save_IFS="$IFS"
     29974    IFS=":"
     29975    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     29976      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     29977      if test -r "$dir/${proj}-uninstalled.pc" ; then
     29978        pcfile="$dir/$proj-uninstalled.pc"
     29979        if test -r "$dir/${proj}.pc" ; then
     29980          pcifile="$dir/${proj}.pc"
     29981        else
     29982          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     29983echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     29984          pcifile=
     29985        fi
     29986        break
     29987      fi
     29988    done
     29989    IFS="$save_IFS"
     29990
     29991    if test "x$pcfile" != x ; then
     29992      # read dependencies from $pcfile and filter it
     29993      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
     29994
     29995      # add projrequires to the front of the list of projects that have to be processed next
     29996      # at the same time, remove $proj from this list
     29997      projtoprocess=`echo $projtoprocess | sed -e "s/$proj/$projrequires/"`
     29998
     29999      # read DATA from $pcfile, if _DATA is still empty
     30000      if test "x$ASL_DATA" = x ; then
     30001        projdatadir=
     30002        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     30003        eval `sh -c "$pcfilemod"`
     30004        ASL_DATA="$projdatadir"
     30005      fi
     30006
     30007      allproj="$allproj $proj"
     30008      allpcfiles="$pcfile:$allpcfiles"
     30009
     30010    else
     30011      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     30012echo "${ECHO_T}no, dependency $proj not available" >&6
     30013      allproj=fail
     30014      break 2
     30015    fi
     30016
     30017    if test "x$pcifile" != x ; then
     30018      allpcifiles="$pcifile:$allpcifiles"
     30019
     30020      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     30021      if test "x$ASL_DATA_INSTALLED" = x ; then
     30022        projdatadir=
     30023        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     30024        eval `sh -c "$pcifilemod"`
     30025        if test "${CYGPATH_W}" != "echo"; then
     30026          projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
     30027        fi
     30028        ASL_DATA_INSTALLED="$projdatadir"
     30029      fi
     30030
     30031    fi
     30032
     30033    break
     30034  done
     30035
     30036  # remove spaces on begin of $projtoprocess
     30037  projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
     30038
     30039done
     30040
     30041if test "$allproj" != fail ; then
     30042
     30043  # now go through the list of .pc files and assemble compiler and linker flags
     30044  # important is here to obey the reverse order that has been setup before,
     30045  # since then libraries that are required by several others should be after these other libraries
     30046  pcfilesprocessed=""
     30047
     30048  save_IFS="$IFS"
     30049  IFS=":"
     30050  for pcfile in $allpcfiles ; do
     30051
     30052    # if $pcfile has been processed already, skip this round
     30053    if test "x$pcfilesprocessed" != x ; then
     30054      for pcfiledone in $pcfilesprocessed ; do
     30055        if test "$pcfiledone" = "$pcfile" ; then
     30056          continue 2
     30057        fi
     30058      done
     30059    fi
     30060
     30061    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     30062    #   replace "Libs:" by "echo projlibs="
     30063    #   replace "Cflags:" by "echo projcflags="
     30064    #   remove every line starting with <some word>:
     30065    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     30066
     30067    # set projcflags and projlibs variables by running $pcfilemod
     30068    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     30069    projcflags=
     30070    projlibs=
     30071    IFS="$save_IFS"
     30072    eval `sh -c "$pcfilemod"`
     30073    IFS=":"
     30074
     30075    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     30076    if test "${CYGPATH_W}" != "echo"; then
     30077      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     30078    fi
     30079    ASL_CFLAGS="$projcflags $ASL_CFLAGS"
     30080
     30081    # set LIBS variable
     30082    ASL_LIBS="$projlibs $ASL_LIBS"
     30083
     30084    # remember that we have processed $pcfile
     30085    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     30086
     30087  done
     30088  IFS="$save_IFS"
     30089
     30090
     30091  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     30092  # important is here again to obey the reverse order that has been setup before,
     30093  # since then libraries that are required by several others should be after these other libraries
     30094  pcfilesprocessed=""
     30095
     30096  save_IFS="$IFS"
     30097  IFS=":"
     30098  for pcfile in $allpcifiles ; do
     30099
     30100    # if $pcfile has been processed already, skip this round
     30101    if test "x$pcfilesprocessed" != x ; then
     30102      for pcfiledone in $pcfilesprocessed ; do
     30103        if test "$pcfiledone" = "$pcfile" ; then
     30104          continue 2
     30105        fi
     30106      done
     30107    fi
     30108
     30109    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     30110    #   replace "Libs:" by "echo projlibs="
     30111    #   replace "Cflags:" by "echo projcflags="
     30112    #   remove every line starting with <some word>:
     30113    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     30114
     30115    # set projcflags and projlibs variables by running $pcfilemod
     30116    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     30117    projcflags=
     30118    projlibs=
     30119    IFS="$save_IFS"
     30120    eval `sh -c "$pcfilemod"`
     30121    IFS=":"
     30122
     30123    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     30124    if test "${CYGPATH_W}" != "echo"; then
     30125      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     30126    fi
     30127    ASL_CFLAGS_INSTALLED="$projcflags $ASL_CFLAGS_INSTALLED"
     30128
     30129    # set LIBS variable
     30130    ASL_LIBS_INSTALLED="$projlibs $ASL_LIBS_INSTALLED"
     30131
     30132    # remember that we have processed $pcfile
     30133    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     30134
     30135  done
     30136  IFS="$save_IFS"
     30137
     30138
     30139  # finish up
     30140  coin_has_asl=yes
     30141  echo "$as_me:$LINENO: result: yes" >&5
     30142echo "${ECHO_T}yes" >&6
     30143
     30144cat >>confdefs.h <<\_ACEOF
     30145#define COIN_HAS_ASL 1
     30146_ACEOF
     30147
     30148
     30149  # adjust linker flags for (i)cl compiler
     30150  # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
     30151  # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
     30152  #    everything of the form "-lname" by "libname.lib", and
     30153  #    everything of the form "-Lpath" by "-libpath:`$(CYGPATH_W) path`
     30154  if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     30155  then
     30156    ASL_LIBS=`echo " $ASL_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     30157    ASL_LIBS_INSTALLED=`echo " $ASL_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g' -e 's/ -L\([^ ]*\)/ -libpath:\`$(CYGPATH_W) \1\`/g'`
     30158  fi
     30159
     30160  ASL_PCREQUIRES="coinasl"
     30161
     30162    CLPLIB_PCREQUIRES="coinasl $CLPLIB_PCREQUIRES"
     30163    CLPLIB_CFLAGS="$ASL_CFLAGS $CLPLIB_CFLAGS"
     30164    CLPLIB_LIBS="$ASL_LIBS $CLPLIB_LIBS"
     30165    CLPLIB_CFLAGS_INSTALLED="$ASL_CFLAGS_INSTALLED $CLPLIB_CFLAGS_INSTALLED"
     30166    CLPLIB_LIBS_INSTALLED="$ASL_LIBS_INSTALLED $CLPLIB_LIBS_INSTALLED"
     30167
     30168
     30169fi
     30170
     30171
     30172
     30173if test $coin_has_asl != notGiven &&
     30174                test $coin_has_asl != skipping; then
     30175  COIN_HAS_ASL_TRUE=
     30176  COIN_HAS_ASL_FALSE='#'
     30177else
     30178  COIN_HAS_ASL_TRUE='#'
     30179  COIN_HAS_ASL_FALSE=
     30180fi
     30181
     30182
     30183
     30184  fi
     30185
     30186else
     30187  echo "$as_me:$LINENO: result: $coin_has_asl" >&5
     30188echo "${ECHO_T}$coin_has_asl" >&6
     30189fi
     30190
     30191if test $coin_has_asl != skipping &&
     30192   test $coin_has_asl != notGiven ; then
     30193
     30194cat >>confdefs.h <<\_ACEOF
     30195#define COIN_HAS_ASL 1
     30196_ACEOF
     30197
     30198
     30199  # Check whether --enable-interpackage-dependencies or --disable-interpackage-dependencies was given.
     30200if test "${enable_interpackage_dependencies+set}" = set; then
     30201  enableval="$enable_interpackage_dependencies"
     30202
     30203else
     30204  enable_interpackage_dependencies=yes
     30205fi;
     30206
     30207  if test $enable_interpackage_dependencies = yes ; then
     30208     # construct dependencies variables from LIBS variables
     30209     # we add an extra space in LIBS so we can substitute out everything starting with " -"
     30210     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* and wsock32.lib as used on Windows
     30211     # then remove everything of the form -xxx
     30212     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
     30213     ASL_DEPENDENCIES=`echo " $ASL_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     30214
     30215       CLPLIB_DEPENDENCIES=`echo " $CLPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     30216
     30217  fi
     30218
     30219  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     30220    if test -n "$ASL_CFLAGS" ; then
     30221      { echo "$as_me:$LINENO: ASL CFLAGS are $ASL_CFLAGS" >&5
     30222echo "$as_me: ASL CFLAGS are $ASL_CFLAGS" >&6;}
     30223    fi
     30224    if test -n "$ASL_LIBS" ; then
     30225      { echo "$as_me:$LINENO: ASL LIBS   are $ASL_LIBS" >&5
     30226echo "$as_me: ASL LIBS   are $ASL_LIBS" >&6;}
     30227    fi
     30228    if test -n "$ASL_DEPENDENCIES" ; then
     30229      { echo "$as_me:$LINENO: ASL DEPENDENCIES are $ASL_DEPENDENCIES" >&5
     30230echo "$as_me: ASL DEPENDENCIES are $ASL_DEPENDENCIES" >&6;}
     30231    fi
     30232    if test -n "$ASL_DATA" ; then
     30233      { echo "$as_me:$LINENO: ASL DATA   is  $ASL_DATA" >&5
     30234echo "$as_me: ASL DATA   is  $ASL_DATA" >&6;}
     30235    fi
     30236    if test -n "$ASL_PCLIBS" ; then
     30237      { echo "$as_me:$LINENO: ASL PCLIBS are $ASL_PCLIBS" >&5
     30238echo "$as_me: ASL PCLIBS are $ASL_PCLIBS" >&6;}
     30239    fi
     30240    if test -n "$ASL_PCREQUIRES" ; then
     30241      { echo "$as_me:$LINENO: ASL PCREQUIRES are $ASL_PCREQUIRES" >&5
     30242echo "$as_me: ASL PCREQUIRES are $ASL_PCREQUIRES" >&6;}
     30243    fi
     30244
     30245      { echo "$as_me:$LINENO: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&5
     30246echo "$as_me: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&6;}
     30247      { echo "$as_me:$LINENO: ClpLib LIBS   are $CLPLIB_LIBS" >&5
     30248echo "$as_me: ClpLib LIBS   are $CLPLIB_LIBS" >&6;}
     30249      { echo "$as_me:$LINENO: ClpLib DEPENDENCIES are $CLPLIB_DEPENDENCIES" >&5
     30250echo "$as_me: ClpLib DEPENDENCIES are $CLPLIB_DEPENDENCIES" >&6;}
     30251
     30252  fi
     30253fi
     30254
     30255# Define the Makefile conditional
     30256
     30257
     30258if test $coin_has_asl != notGiven &&
     30259                test $coin_has_asl != skipping; then
     30260  COIN_HAS_ASL_TRUE=
     30261  COIN_HAS_ASL_FALSE='#'
     30262else
     30263  COIN_HAS_ASL_TRUE='#'
     30264  COIN_HAS_ASL_FALSE=
     30265fi
     30266
     30267
     30268
    2975430269
    2975530270# Check whether --enable-gnu-packages or --disable-gnu-packages was given.
     
    3171632231Usually this means the macro was only invoked conditionally." >&5
    3171732232echo "$as_me: error: conditional \"COIN_HAS_WSMP\" was never defined.
     32233Usually this means the macro was only invoked conditionally." >&2;}
     32234   { (exit 1); exit 1; }; }
     32235fi
     32236if test -z "${COIN_HAS_ASL_TRUE}" && test -z "${COIN_HAS_ASL_FALSE}"; then
     32237  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ASL\" was never defined.
     32238Usually this means the macro was only invoked conditionally." >&5
     32239echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
     32240Usually this means the macro was only invoked conditionally." >&2;}
     32241   { (exit 1); exit 1; }; }
     32242fi
     32243if test -z "${COIN_HAS_ASL_TRUE}" && test -z "${COIN_HAS_ASL_FALSE}"; then
     32244  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_ASL\" was never defined.
     32245Usually this means the macro was only invoked conditionally." >&5
     32246echo "$as_me: error: conditional \"COIN_HAS_ASL\" was never defined.
    3171832247Usually this means the macro was only invoked conditionally." >&2;}
    3171932248   { (exit 1); exit 1; }; }
     
    3247533004s,@COIN_HAS_WSMP_TRUE@,$COIN_HAS_WSMP_TRUE,;t t
    3247633005s,@COIN_HAS_WSMP_FALSE@,$COIN_HAS_WSMP_FALSE,;t t
     33006s,@ASL_LIBS@,$ASL_LIBS,;t t
     33007s,@ASL_CFLAGS@,$ASL_CFLAGS,;t t
     33008s,@ASL_DATA@,$ASL_DATA,;t t
     33009s,@ASL_DEPENDENCIES@,$ASL_DEPENDENCIES,;t t
     33010s,@ASL_LIBS_INSTALLED@,$ASL_LIBS_INSTALLED,;t t
     33011s,@ASL_CFLAGS_INSTALLED@,$ASL_CFLAGS_INSTALLED,;t t
     33012s,@ASL_DATA_INSTALLED@,$ASL_DATA_INSTALLED,;t t
     33013s,@COIN_HAS_ASL_TRUE@,$COIN_HAS_ASL_TRUE,;t t
     33014s,@COIN_HAS_ASL_FALSE@,$COIN_HAS_ASL_FALSE,;t t
    3247733015s,@coin_have_doxygen@,$coin_have_doxygen,;t t
    3247833016s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
Note: See TracChangeset for help on using the changeset viewer.